<?php get_header() ?>

<div class="himarket_breadcrumbs">
	<div class="container">
		<div class="listing-title">			
			<h1><span><?php himarket_title(); ?></span></h1>				
		</div>
		<?php
			if (!is_front_page() ) {
				if (function_exists('himarket_breadcrumb')){
					himarket_breadcrumb('<div class="breadcrumbs custom-font theme-clearfix">', '</div>');
				} 
			} 
		?>
	</div>
</div>
<div class="container">
	<?php	
		if( function_exists( 'himarket_options' ) ){
			$portfolio 		= array();
			$attributes 	= '';
			$number 		= 8;
			$orderby 		= 'date'; 
			$order			= '';
			$portfolio_id 	= himarket_options()->getCpanelValue( 'portfolio_id' );
			$style			= himarket_options()->getCpanelValue( 'p_style' );
			$col1	 		= himarket_options()->getCpanelValue( 'p_col_large' );
			$col2		 	= himarket_options()->getCpanelValue( 'p_col_medium' );
			$col3			= himarket_options()->getCpanelValue( 'p_col_sm' );
			$col4			= himarket_options()->getCpanelValue( 'p_col_xs' );			
			$pf_id			= 'ya_portfolio';
			if( count( $portfolio_id  ) > 0 ){
				$portfolio = $portfolio_id;
			}else{
				$terms = get_terms( 'portfolio_cat' );
				foreach( $terms as $k => $term ){
					$portfolio[$k] = $term -> term_id;
				}
			}
			include( plugin_dir_path( __FILE__ ) . 'portfolio-item.php' );
		}
	?>
</div>
<?php get_footer() ?>