<?php  ?>
<?php
if( $category == '' ){
	echo __( 'Please select a category', 'smartaddons' );
	return;
}
$widget_id = isset( $widget_id ) ? $widget_id : 'sw_woo_slider_'.rand().time();

$default = array();
$default = array(
	'post_type' => 'product',
	'tax_query' => array(
	array(
		'taxonomy'  => 'product_cat',
		'field'     => 'slug',
		'terms'     => $category ) ),
	'orderby' => $orderby,
	'order' => $order,
	'post_status' => 'publish',
	'showposts' => $numberposts
);
$term = get_term_by( 'slug', $category, 'product_cat' );	
$list = new WP_Query( $default );
$nav_id = 'nav_tabs_res'.rand().time();
if ( $list -> have_posts() ){ ?>
	<div id="<?php echo $widget_id; ?>" class="<?php echo $style ?>sw-woo-container-slider responsive-slider woo-slider-<?php echo $layout ?> loading" data-lg="<?php echo esc_attr( $columns ); ?>" data-md="<?php echo esc_attr( $columns1 ); ?>" data-sm="<?php echo esc_attr( $columns2 ); ?>" data-xs="<?php echo esc_attr( $columns3 ); ?>" data-mobile="<?php echo esc_attr( $columns4 ); ?>" data-speed="<?php echo esc_attr( $speed ); ?>" data-scroll="<?php echo esc_attr( $scroll ); ?>" data-interval="<?php echo esc_attr( $interval ); ?>"  data-autoplay="<?php echo esc_attr( $autoplay ); ?>">
		<div class="block-title clearfix">
		<?php 
		$title = '';
		$title1 =  $term->name;
		$titles = strpos($title1, '&');
		if( $titles ) {
			$title =  '<span>' . substr($title1, 0, $titles) . '</span>' .' <span class="text-color">'. str_replace('amp;','&',substr($title1, $titles + 1)).'</span>';
		}else{
			$title = $title1;
		}
		echo $title;
		?>
			<?php 
				$termchild = get_term_children( $term->term_id, 'product_cat' );
				if( count( $termchild ) > 0 ){
			?>
			<div class="childcat-slider">				
				<div class="childcat-content">
				<button class="navbar-toggle collapsed pull-right" type="button" data-toggle="collapse" data-target="#<?php echo esc_attr($nav_id); ?>"  aria-expanded="false">
					<span class="sr-only">Toggle navigation</span>
					<span class="fa fa-bar"></span>
					<span class="fa fa-bar"></span>
					<span class="fa fa-bar"></span>
			    </button>
				<?php 
					$termchild = get_term_children( $term->term_id, 'product_cat' );
					echo '<ul class="nav nav-tabs" id="'.esc_attr($nav_id).'">';
					foreach ( $termchild as $child ) {
						$term = get_term_by( 'id', $child, 'product_cat' );
						echo '<li><a href="' . get_term_link( $child, 'product_cat' ) . '">' . $term->name . '</a></li>';
					}
					echo '</ul>';
				?>
				</div>
			</div>
			<?php } ?>
		</div>          
		<div class="resp-slider-container <?php echo ( $img_align == 'right' ) ? 'img-right' : ''; ?>">
		<div class="row">
		<div class="left-child col-lg-3 col-md-3">
		<a class="img-class" href="#" title="<?php echo esc_attr( $term->name ) ?>"><?php   echo wp_get_attachment_image( $image, 'full' ) ?></a>
		</div>
		<div class="right-childs col-lg-9 col-md-9 col-sm-12">
		<div class="rw-margin">
			<div class="slider responsive">	
			<?php while($list->have_posts()): $list->the_post();global $product, $post, $wpdb, $average; ?>
				<div class="item">
				    <?php include( WCTHEME . '/default-item.php' ); ?>
				</div>
			<?php endwhile; wp_reset_postdata();?>
			</div>
		</div>
		</div>
		</div>    
       </div>        
	</div>
	<?php
	}
?>