<?php get_template_part('templates/head'); ?>
<body <?php body_class(); ?>>
	<div class="body-wrapper theme-clearfix" id="body_wrapper">
		<?php 
		$himarket_header_style = himarket_options()->getCpanelValue('header_style');
		$himarket_colorset = himarket_options()->getCpanelValue('scheme');
		$himarket_my_phone = himarket_options()->getCpanelValue('phone_number');
		$himarket_my_email = himarket_options()->getCpanelValue('email');
		$himarket_preload_page = himarket_options()->getCpanelValue( 'preload_active_page' );
		/* Preload */
		if( 1 == himarket_options()->getCpanelValue( 'preload_active' ) &&( is_array( $himarket_preload_page ) && in_array( get_the_ID(), $himarket_preload_page ) ) ) :
?>
<div class="ip-header">			
		<div class="ip-loader">
			<svg class="ip-inner" width="60px" height="60px" viewBox="0 0 80 80">
				<path class="ip-loader-circlebg" d="M40,10C57.351,10,71,23.649,71,40.5S57.351,71,40.5,71 S10,57.351,10,40.5S23.649,10,40.5,10z"/>
				<path id="ip-loader-circle" class="ip-loader-circle" d="M40,10C57.351,10,71,23.649,71,40.5S57.351,71,40.5,71 S10,57.351,10,40.5S23.649,10,40.5,10z"/>
			</svg>
		</div>
	</div>
<?php 
	endif;
	
		if ($himarket_header_style == 'default'){ ?>
			<div id="header" class="header-<?php echo $himarket_header_style; ?>">
				<div class="yt-header-top">
					<div class="container">
						<div class="row">
							<div class="col-lg-7 col-md-8 col-sm-5 col-xs-12 sl-header-text">
								<div class="offer-wrapper">
									<div class="offer-header">
										<ul id="offer-info">
											<li class="phone">
												<?php if($himarket_my_phone != '') {?>
													<i class="sp-ic fa fa-phone">&nbsp;</i><?php esc_html_e('Call us free:','himarket') ;?> <a title="<?php echo esc_attr( $himarket_my_phone ) ?>" href="#"><?php echo esc_html( $himarket_my_phone ) ?></a> 
													<?php } ?>
												</li>
												<li class="email">
													<?php if($himarket_my_email != '') {?>
														<i class="sp-ic fa fa-envelope">&nbsp;</i><?php esc_html_e('Email:','himarket') ;?> <a title="<?php echo esc_attr( $himarket_my_email ) ?>" href="mailto:<?php echo esc_attr( $himarket_my_email ) ?>"><?php echo esc_attr( $himarket_my_email ) ?></a>
														<?php } ?>
													</li>
												</ul>
											</div>
										</div>
									</div>
									<!-- LANGUAGE_CURENCY -->
									<div class="col-lg-5 col-md-4 col-sm-7 col-xs-12 top-links-action">
										<?php if (is_active_sidebar_HIMARKET('top')) {?>
											<?php dynamic_sidebar('top'); ?>
											<?php }?>	
											<?php if( class_exists( 'WooCommerce' ) ) : ?>
											<div class="my-account pull-right">
												<ul>
													<li>
														<a href="<?php echo get_permalink( get_option('woocommerce_myaccount_page_id') ); ?>"><?php esc_html_e('My Account', 'himarket'); ?></a>
														<ul>
															<li><?php get_template_part('widgets/himarket_top/login'); ?></li>
															<li><a href="<?php echo get_permalink( get_option('woocommerce_myaccount_page_id') ); ?>" title="<?php esc_html_e('My Account','himarket'); ?>"><?php esc_html_e('My Account','himarket'); ?></a></li>
															<?php 
																if( function_exists( 'YITH_WCWL' ) ){
																	$wishlist_url = YITH_WCWL()->get_wishlist_url(); 															
																?>
															<li><a href="<?php echo esc_url( $wishlist_url ) ?>" title="<?php esc_html_e('My Wishlist','himarket'); ?>"><?php esc_html_e('My Wishlist', 'himarket'); ?></a></li>
															<?php } ?>
															<li><a href="<?php echo get_permalink(get_option('woocommerce_cart_page_id')); ?>" title="<?php esc_attr_e( 'Cart', 'himarket' ) ?>"><?php esc_html_e('My Cart', 'himarket'); ?></a></li>
															<li><a href="<?php echo get_permalink(get_option('woocommerce_checkout_page_id')); ?>" title="<?php esc_attr_e( 'Check Out', 'himarket' ) ?>"><?php esc_html_e('Checkout', 'himarket'); ?></a></li>
														</ul>
													</li>
													
												</ul>
											</div>
											<?php endif; ?>
										</div>
										

										<?php if( class_exists( 'WooCommerce' ) ){ ?>
											<div class="modal fade" id="login_form" tabindex="-1" role="dialog" aria-hidden="true">
												<div class="modal-dialog block-popup-login">
													<a href="javascript:void(0)" title="<?php esc_attr_e ('Close','himarket')?>" class="close close-login" data-dismiss="modal"><?php esc_html_e('Close','himarket') ?></a>
													<div class="tt_popup_login"><strong><?php esc_html_e('Sign in Or Register', 'himarket'); ?></strong></div>
													<?php get_template_part('woocommerce/myaccount/login-form'); ?>
												</div>
											</div>
											<?php } ?>
										</div>
									</div>
								</div>
								<div class="yt-header-middle">
									<div class="container">
										<div class="row">
											<div class="col-lg-3 col-md-4 col-sm-12 col-xs-12 logo-wrapper">
												<div class="logo">
													<a  href="<?php echo esc_url( home_url( '/' ) ); ?>">
														<?php if(himarket_options()->getCpanelValue('sitelogo')){ ?>
															<img src="<?php echo esc_attr( himarket_options()->getCpanelValue('sitelogo') ); ?>" alt="<?php bloginfo('name'); ?>" width="201" height="62"/>
															<?php }else{
																if ($himarket_colorset){$logo = get_template_directory_uri().'/assets/img/logo-'.$himarket_colorset.'.png';}
																else $logo = get_template_directory_uri().'/assets/img/logo-default.png';
																?>
																<img src="<?php echo esc_attr( $logo ); ?>" alt="<?php bloginfo('name'); ?>"  width="201" height="62"/>
																<?php } ?>
															</a>
														</div>
													</div>
													
													<!-- Main menu -->
													<div class="col-lg-9 col-md-8 col-sm-12 col-xs-12 yt-megamenu">
														<div class="yt-header-under">
															<?php if ( has_nav_menu('primary_menu') ) {?>
																<nav id="primary-menu" class="primary-menu">
																	<div class="yt-menu">
																		<div class="navbar-inner navbar-inverse">
																			<?php
																			$menu_class = 'nav nav-pills';
																			if ( 'mega' == himarket_options()->getCpanelValue('menu_type') ){
																				$menu_class .= ' nav-mega';
																			} else $menu_class .= ' nav-css';
																			?>
																			<?php wp_nav_menu(array('theme_location' => 'primary_menu', 'menu_class' => $menu_class)); ?>
																		</div>
																	</div>
																</nav>
																<?php } ?>
															
																<!-- MiniCart -->
																<?php if( class_exists( 'WooCommerce' ) ){ ?>
																<div class="mini-cart-header">
																	<?php get_template_part( 'woocommerce/minicart-ajax' ); ?>
																</div>
																<?php } ?>
																<div class="phone-icon-search-sticky  fa fa-search" href="#" title="<?php esc_attr_e ('Search','himarket')?>">
																	<div id="sm_serachbox_pro_sticky" class="sm-serachbox-pro-sticky">
																		
																		<div class="sm-searbox-content">
																				 <?php get_template_part( 'widgets/himarket_top/searchcate' ); ?>
																
																		</div>
																    </div>
																</div>
															</div>	
														</div>

													</div>
												</div>
											</div>
											<div class="yt-header-under-2">
												<div class="container">
													<div class="row yt-header-under-wrap">
														<div class="yt-main-menu col-md-12">
															<div class="header-under-2-wrapper">
																
																<div class="yt-searchbox-vermenu">
																	<div class="row">
																		<div class="col-lg-3 col-md-4 col-sm-3 col-xs-6 vertical-mega">
																			<div class="ver-megamenu-header">
																				<div class="mega-left-title">
																					<strong><?php esc_html_e('دسته بندی','himarket') ;?></strong>
																				</div>
																				<?php
																				if ( has_nav_menu( 'leftmenu' ) ) {
																					wp_nav_menu( array( 'theme_location' => 'leftmenu','menu_class' => 'vertical-megamenu' ) );
																				} ?> 
																			</div>
																		</div>
																		
																		<div class="search-pro col-lg-9 col-md-8 col-sm-9 col-xs-6 no-padding-l">
																			<a class="phone-icon-search  fa fa-search" href="#" title="<?php esc_attr_e('Search','himarket') ?>"></a>
																			<div id="sm_serachbox_pro" class="sm-serachbox-pro">
																				
																				<div class="sm-searbox-content">
																					<?php get_template_part( 'widgets/himarket_top/searchcate' ); ?>
																				</div>
																				
																			</div>
																		</div>
																	</div>
																</div>
															</div>
														</div>
													</div>
												</div>
											</div>
										</div>
										<?php } else {
											echo '	<div id="header" class="header-'.$himarket_header_style.'">';
											get_template_part('templates/header', $himarket_header_style);
											echo '</div>';
										} ?>
