<?php

/**
 * Add Theme Options page.
 */
function himarket_theme_admin_page(){
	add_theme_page(
		esc_html__('Theme Options', 'himarket'),
		esc_html__('Theme Options', 'himarket'),
		'manage_options',
		'himarket_theme_options',
		'himarket_theme_admin_page_content'
	);
}
add_action('admin_menu', 'himarket_theme_admin_page', 49);

function himarket_theme_admin_page_content(){ ?>
	<div class="wrap">
		<h2><?php esc_html_e( 'HIMARKET Advanced Options Page', 'himarket' ); ?></h2>
		<?php do_action( 'himarket_theme_admin_content' ); ?>
	</div>
<?php
}