<?php 

	$himarket_footer_style = himarket_options() -> getCpanelValue( 'footer_style' );

	$himarket_copyright_text =himarket_options()->getCpanelValue('footer_copyright');

	if( $himarket_footer_style == 'default' ) {

?>

<div id="above-footer" class="above-footer">

	<div class="container">

		<div class="row">

			<?php if (is_active_sidebar_HIMARKET('above-footer')){ ?>		

					<?php dynamic_sidebar('above-footer'); ?>			

			<?php } ?>

		</div>

	</div>

</div>



	<footer id="footer" class="footer default theme-clearfix" >

		<div class="footer-top">

			<div class="sidebar-footer">

				<div class="container">

					<div class="row">

						<?php if (is_active_sidebar_HIMARKET('footer')){ ?>		

								<?php dynamic_sidebar('footer'); ?>			

						<?php } ?>

					</div>

				</div>

			</div>					

		</div>

		<div class="copyright theme-clearfix clearfix">

			<?php if (is_active_sidebar_HIMARKET('footer-copyright')){ ?>

				<div class="sidebar-copyright clearfix">

					<?php dynamic_sidebar('footer-copyright'); ?>

				</div>

			<?php } ?>

			<div class="copyright-text">

			    <div class="container">

					<div class="copyright-footer pull-left">

						<?php if( $himarket_copyright_text == '' ) : ?>

							<?php echo esc_html__('Copyright','himarket') ?>&copy; <?php echo date('Y'); ?> <?php echo sprintf(__('<a href="%s">هدف .ردپرس</a> تمامی حقوق برای این فروشگاه محفوظ است','himarket'), esc_url( 'https://hadafwp.com/' ) ) ?>

						<?php else : ?>

							<p><?php  echo wp_kses( $himarket_copyright_text, array( 'a' => array( 'href' => array(), 'title' => array(), 'class' => array() ), 'p' => array()  ) ) ; ?></p>

						<?php endif; ?>

					</div>				

					<div class="payment">

						<ul class="payment-method pull-right">

							<li><a class="payment1" title="<?php esc_attr_e('Payment Method','himarket')?>" href="#"></a></li>

							<li><a class="payment2" title="<?php esc_attr_e('Payment Method','himarket')?>" href="#"></a></li>

							<li><a class="payment3" title="<?php esc_attr_e('Payment Method','himarket')?>" href="#"></a></li>

							<li><a class="payment4" title="<?php esc_attr_e('Payment Method','himarket')?>" href="#"></a></li>

							<li><a class="payment5" title="<?php esc_attr_e('Payment Method','himarket')?>" href="#"></a></li>

							<li><a class="payment6" title="<?php esc_attr_e('Payment Method','himarket')?>" href="#"></a></li>

						</ul>		

					</div>

				</div>

			</div>

		</div>

	</footer>

<?php } else { 

		get_template_part( 'templates/footer', $himarket_footer_style );	

	} ?>



</div>

<?php if(himarket_options()->getCpanelValue('back_active') == '1') { ?>

<a id="himarket-totop" href="#" ></a>

<?php }?>

<?php wp_footer(); ?>

</body>

</html>