<?php
/***** Active Plugin ********/
require_once( get_template_directory().'/lib/class-tgm-plugin-activation.php' );

add_action( 'tgmpa_register', 'himarket_register_required_plugins' );
function himarket_register_required_plugins() {
    $plugins = array(
        array(
            'name'               => esc_html__( 'WooCommerce', 'himarket' ), 
            'slug'               => 'woocommerce', 
            'required'           => true, 
						'version'            => '3.1.1'
        ),

         array(
            'name'               => esc_html__( 'Revslider', 'himarket' ), 
            'slug'               => 'revslider', 
            'source'             => esc_url( 'http://demo.wpthemego.com/themes/sw_himarket/plugins/revslider.zip' ), 
            'required'           => true, 
        ),
        
                array(
            'name'               => esc_html__( 'SW Core', 'himarket' ),
            'slug'               => 'sw_core',
						'source'         		 => esc_url( 'http://demo.wpthemego.com/themes/sw_himarket/plugins/sw_core.zip' ), 
            'required'           => true,       
            ),
        
            array(
            'name'               => esc_html__( 'SW WooCommerce', 'himarket' ),
            'slug'               => 'sw_woocommerce',
						'source'         		 => esc_url( 'http://demo.wpthemego.com/themes/sw_himarket/plugins/sw_woocommerce.zip' ), 
            'required'           => true,
						'version'            => '1.1.1'
        ),
        
         array(
            'name'               => esc_html__( 'SW Responsive Post Slider', 'himarket' ), 
            'slug'               => 'sw-responsive-post-slider', 
            'source'             => esc_url( 'http://demo.wpthemego.com/themes/sw_himarket/plugins/sw-responsive-post-slider.zip' ), 
            'required'           => true, 
        ),
        
        array(
            'name'               => esc_html__( 'One Click Install', 'himarket' ), 
            'slug'               => 'one-click-install', 
            'source'             => esc_url( 'http://demo.wpthemego.com/themes/sw_himarket/plugins/one-click-install.zip' ), 
            'required'           => true, 
        ),
        array(
            'name'               => esc_html__( 'Visual Composer', 'himarket' ), 
            'slug'               => 'js_composer', 
            'source'             => esc_url( 'http://demo.wpthemego.com/themes/sw_himarket/plugins/js_composer.zip' ), 
            'required'           => true, 
        ),      
        array(
            'name'               => esc_html__( 'WordPress Importer', 'himarket' ),
            'slug'               => 'wordpress-importer',
            'required'           => true,
        ), 
        array(
            'name'               => esc_html__( 'MailChimp for WordPress Lite', 'himarket' ),
            'slug'               => 'mailchimp-for-wp',
            'required'           => false,
        ),
        array(
            'name'               => esc_html__( 'Contact Form 7', 'himarket' ),
            'slug'               => 'contact-form-7',
            'required'           => false,
        ),      
         array(
            'name'               => esc_html__( 'YITH Woocommerce Compare', 'himarket' ),
            'slug'               => 'yith-woocommerce-compare',
            'required'           => false
        ),
         array(
            'name'               => esc_html__( 'YITH Woocommerce Wishlist', 'himarket' ),
            'slug'               => 'yith-woocommerce-wishlist',
            'required'           => false
        ), 
        array(
            'name'               => esc_html__( 'WordPress Seo', 'himarket' ),
            'slug'               => 'wordpress-seo',
            'required'           => false,
        ),

    );
    $config = array();

    tgmpa( $plugins, $config );

}
add_action( 'vc_before_init', 'Himarket_vcSetAsTheme' );
function Himarket_vcSetAsTheme() {
    vc_set_as_theme();
}