<?php while (have_posts()) : the_post(); ?>
<?php $related_post_column = himarket_options()->getCpanelValue('sidebar_blog'); ?>
<?php 
	setPostViews(get_the_ID()); 
?>
<div <?php post_class(); ?>>
	<?php $pfm = get_post_format();?>
	<div class="entry-wrap">
		<?php if( $pfm == '' || $pfm == 'image' ){?>
			<?php if( has_post_thumbnail() ){ ?>
				<div class="entry-thumb single-thumb">
					<?php the_post_thumbnail('himarket_detail_thumb'); ?>
				</div>
		<?php } }?>
		<div class="entry-content clearfix">
			<div class="entry-meta clearfix">
				<span class="entry-date pull-left">
					<span class="post_day custom-font"><?php the_time('d'); ?></span>
					<span class="post_my"><?php the_time('/ F, Y'); ?></span>
				</span>
				
				<div class="entry-comment pull-right">
				<a href="#respond">
					<i class="fa fa-comments"></i>
					<?php $comment_count = $post->comment_count; ?>
					<?php echo $post->comment_count .'<span>'. ( ( $comment_count > 1 ) ? esc_html__(' comments', 'himarket') : esc_html__(' comment', 'himarket') .'</span>' ); ?>
				</a>
				</div>
				<div class="entry-author pull-right">
				    <span class="category-author"><i class="fa fa-user"></i><?php echo esc_html__('Posted by','himarket') ?> <?php the_author_posts_link(); ?></span>
				</div>
			</div>
			<h1 class="entry-title clearfix"><?php the_title(); ?></h1>
			<div class="entry-summary single-content ">
				<?php the_content(); ?>				
				<div class="clearfix"></div>
				
				<!-- link page -->
				<?php wp_link_pages( array( 'before' => '<div class="page-links"><span class="page-links-title">' . esc_html__( 'Pages:', 'himarket' ).'</span>', 'after' => '</div>' , 'link_before' => '<span>', 'link_after'  => '</span>' ) ); ?>	
				<div class="clearfix"></div>
			</div>
			
			<!-- Tag -->
			<?php if(get_the_tag_list()) { ?>
				<div class="entry-tag single-tag pull-left">
					<?php echo get_the_tag_list('<span class="custom-font title-tag">Tags: </span>',' , ','');  ?>
				</div>
			<?php } ?>
			<!-- Social -->
			<div class="social-share pull-right">
				<span class="share-title custom-font"><?php echo esc_html_e('Share This  ','himarket')?></span>
				<a href="http://www.facebook.com/share.php?u=<?php the_permalink(); ?>&title=<?php the_title(); ?>" onclick="javascript:window.open(this.href,'', 'menubar=no,toolbar=no,resizable=yes,scrollbars=yes,height=600,width=600');return false;"><i class="fa fa-facebook"></i></a>
				<a href="http://www.tumblr.com/share?v=3&u=<?php the_permalink(); ?>&t=<?php the_title(); ?>" onclick="javascript:window.open(this.href,'', 'menubar=no,toolbar=no,resizable=yes,scrollbars=yes,height=600,width=600');return false;"><i class="fa fa-tumblr"></i></a>
				<a href="http://twitter.com/home?status=<?php the_title(); ?>+<?php the_permalink(); ?>" onclick="javascript:window.open(this.href,'', 'menubar=no,toolbar=no,resizable=yes,scrollbars=yes,height=600,width=600');return false;"><i class="fa fa-twitter"></i></a>
				<a href="https://plus.google.com/share?url=<?php the_permalink(); ?>" onclick="javascript:window.open(this.href,'', 'menubar=no,toolbar=no,resizable=yes,scrollbars=yes,height=600,width=600');return false;"><i class="fa fa-google-plus"></i></a>
				<a href="http://pinterest.com/pin/create/bookmarklet/?media=<?php echo wp_get_attachment_url( get_post_thumbnail_id($post->ID) ); ?>&url=<?php the_permalink(); ?>&is_video=false&description=<?php the_title(); ?>" onclick="javascript:window.open(this.href,'', 'menubar=no,toolbar=no,resizable=yes,scrollbars=yes,height=600,width=600');return false;"><i class="fa fa-pinterest-p"></i></a>
			</div>			
		</div>
	</div>
	<div class="clearfix"></div>
	<div id="authorDetails" class="clearfix">
		<h4 class="title"><?php esc_html_e( 'About the author', 'himarket' ) ?> </h4>
		<div class="authorDetail">
			<?php get_the_author_meta() ?>
			<div class="avatar">
				<?php echo get_avatar( $post->post_author , 100 ); ?>
			</div>
			<div class="infomation">
				<h4 class="name-author"><span><?php echo get_the_author()?></span></h4>
				<p><?php echo the_author_meta('description') ;?></p>
			</div>
		</div>
	</div> 
	<div class="clearfix"></div>
    <?php comments_template('/templates/comments.php'); ?>
</div>
<?php endwhile; ?>
