<?php 
$himarket_colorset = himarket_options()->getCpanelValue('scheme');
$himarket_header_style = himarket_options()->getCpanelValue('header_style');
$himarket_my_phone = himarket_options()->getCpanelValue('phone_number');
$himarket_page_hotdeals = himarket_options()->getCpanelValue('hot_deals');
?>
<div class="yt-header-top">
	<div class="container">
		<div class="row">
		    <div class="col-lg-3 col-md-4 col-sm-4 col-xs-12 sl-header-login">
		    	<?php get_template_part('widgets/himarket_top/login-header1'); ?>
		    </div>
		    <div class="header-right col-lg-9 col-md-8 col-sm-8 col-xs-12">
		        <div class="border-header">
				    <div class="col-lg-4 col-md-5 col-sm-0 col-xs-12 sl-header-phone">
				    		<?php if($himarket_my_phone != '') {?>
							    <i class="sp-ic fa fa-phone">&nbsp;</i><?php esc_html_e('Call us free:','himarket') ;?> <a title="<?php echo esc_attr( $himarket_my_phone ) ?>" href="#"><?php echo esc_html( $himarket_my_phone ) ?></a> 
							<?php } ?>
				    </div>
				<!-- LANGUAGE_CURENCY -->
					<div class="col-lg-8 col-md-7 col-sm-12 col-xs-12 top-links-action">
						<?php if (is_active_sidebar_HIMARKET('top')) {?>
								<?php dynamic_sidebar('top'); ?>
						<?php }?>
						
						<div class="my-account pull-right">
						    <ul>
						        <li>
						            <a href="<?php echo get_permalink( get_option('woocommerce_myaccount_page_id') ); ?>"><?php esc_html_e('My Account', 'himarket'); ?></a>
						        	<ul>
												<li><a href="<?php echo get_permalink( get_option('woocommerce_myaccount_page_id') ); ?>" title="<?php esc_html_e('My Account','himarket'); ?>"><?php esc_html_e('My Account','himarket'); ?></a></li>
												<?php 
													if( function_exists( 'YITH_WCWL' ) ){
														$wishlist_url = YITH_WCWL()->get_wishlist_url(); 															
													?>
												<li><a href="<?php echo esc_url( $wishlist_url ) ?>" title="<?php esc_html_e('My Wishlist','himarket'); ?>"><?php esc_html_e('My Wishlist', 'himarket'); ?></a></li>
												<?php } ?>
												<li><a href="<?php echo get_permalink(get_option('woocommerce_cart_page_id')); ?>" title="<?php esc_attr_e( 'Cart', 'himarket' ) ?>"><?php esc_html_e('My Cart', 'himarket'); ?></a></li>
												<li><a href="<?php echo get_permalink(get_option('woocommerce_checkout_page_id')); ?>" title="<?php esc_attr_e( 'Check Out', 'himarket' ) ?>"><?php esc_html_e('Checkout', 'himarket'); ?></a></li>
							        </ul>
						        </li>
						        
						    </ul>
						</div>
					</div>
			    </div>
			</div>
		</div>
	</div>
</div>
<div class="yt-header-middle">
	<div class="container">
		<div class="row">
			<div class="col-lg-3 col-md-4 col-sm-12 col-xs-12 logo-wrapper">
			    <div class="logo">
				<a  href="<?php echo esc_url( home_url( '/' ) ); ?>">
					<?php if(himarket_options()->getCpanelValue('sitelogo')){ ?>
						<img src="<?php echo esc_attr( himarket_options()->getCpanelValue('sitelogo') ); ?>" alt="<?php bloginfo('name'); ?>"  width="201" height="62"/>
					<?php }else{
						if ($himarket_colorset){$logo = get_template_directory_uri().'/assets/img/logo-'.$himarket_colorset.'.png';}
						else $logo = get_template_directory_uri().'/assets/img/logo-default.png';
					?>
						<img src="<?php echo esc_attr( $logo ); ?>" alt="<?php bloginfo('name'); ?>"  width="201" height="62"/>
					<?php } ?>
				</a>
				</div>
			</div>
			
			<div class="col-lg-9 col-md-8 col-sm-12 col-xs-12 yt-searchbox">
				<div class="search-pro">
					<a class="phone-icon-search  fa fa-search" href="#" title="<?php esc_attr_e ('Search','himarket')?>"></a>
					<div id="sm_serachbox_pro" class="sm-serachbox-pro">
						
						<div class="sm-searbox-content">
							 <?php get_template_part( 'widgets/himarket_top/searchcate' ); ?>
			
					</div>
					
					<!-- MiniCart -->
					<?php if( class_exists( 'WooCommerce' ) ){ ?>
					<div class="mini-cart-header">
					<?php get_template_part( 'woocommerce/minicart-ajax' ); ?>
					</div>
					<?php } ?>
				</div>	
			</div>

		</div>
	</div>
</div>
<div class="yt-header-under-2">
	<div class="container">
		<div class="row yt-header-under-wrap">
			<div class="yt-main-menu col-md-12">
				<div class="header-under-2-wrapper">
					
					<div class="yt-searchbox-vermenu">
						<div class="row">
							<div class="col-lg-3 col-md-4 col-sm-12 vertical-mega">
								<div class="ver-megamenu-header">
									<div class="mega-left-title">
										 <strong><?php esc_html_e('دسته بندی','himarket') ;?></strong>
									</div>
									<?php
									if ( has_nav_menu( 'leftmenu' ) ) {
										 wp_nav_menu( array( 'theme_location' => 'leftmenu','menu_class' => 'vertical-megamenu' ) );
									} ?> 
								</div>
							</div>
						
							<div class="yt-header-under col-lg-9 col-md-8 col-sm-12 no-padding-l">
							    <?php if ( has_nav_menu('primary_menu') ) {?>
									<nav id="primary-menu" class="primary-menu">
										<div class="yt-menu">
											<div class="navbar-inner navbar-inverse">
												<?php
													$menu_class = 'nav nav-pills';
													if ( 'mega' == himarket_options()->getCpanelValue('menu_type') ){
														$menu_class .= ' nav-mega';
													} else $menu_class .= ' nav-css';
												?>
												<?php wp_nav_menu(array('theme_location' => 'primary_menu', 'menu_class' => $menu_class)); ?>
											</div>
										</div>
									</nav>
								<?php } ?>
								<!-- MiniCart -->
								<?php if( class_exists( 'WooCommerce' ) ){ ?>
								<div class="mini-cart-header">
								<?php get_template_part( 'woocommerce/minicart-ajax' ); ?>
								</div>
								<?php } ?>
								<div class="phone-icon-search-sticky  fa fa-search" href="#" title="<?php esc_attr_e ('Search','himarket')?>">
									<div id="sm_serachbox_pro_sticky" class="sm-serachbox-pro-sticky">
										
										<div class="sm-searbox-content">
												 <?php get_template_part( 'widgets/himarket_top/searchcate' ); ?>
								
										</div>
								    </div>
								</div>
							
							  
								<?php 
									if ($himarket_page_hotdeals != ''  && get_page( $himarket_page_hotdeals ) != NULL ):
										$himarket_pagedeal = get_page( $himarket_page_hotdeals );
								?>
									<div class="menu-hotdeals hidden-sm hidden-xs">
										<a class="custom-font" href="<?php echo get_page_link( $himarket_page_hotdeals ); ?>">
											<?php echo $himarket_pagedeal->post_title; ?>
										</a>
									</div>						
								<?php endif ?>

							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>
</div>
</div>